Subject: Ticket Assigned - Hi, I ordered a pram on this website from Brisbane, Australia on 18 August 2020 and got charged with...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 05 Sep 2020 07:07:27 +0000

Hi Ezzaldeen Mahyoub,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hi, I ordered a pram on this website from Brisbane, Australia on 18 August 2020 and got charged with... Hi, I ordered a pram on this website from Brisbane, Australia on 18 August 2020 and got charged with alot more than what was charged. Didn't get no reply to my emails regarding the amount over charged and No reply to a postage tracking which was suppose to be sent via email? I would like to know what happened to my order and why I was charged almost double the amount? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1456161